#{extends 'borderNG.html' /}
#{set 'titleHead'} Surat Perjanjian #{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">Paket Tender PPK</a></li>
    <li><a href="@{kontrak.SppbjCtr.sppbjPpk(lelang.lls_id)}">e-Kontrak</a></li>
    <li class="active">Surat Perjanjian</li>
</ol>

<div class="content">
#{alert /}
#{form @kontrak.SuratPerjanjianCtr.simpanSuratPerjanjian(sppbj.sppbj_id), name:'formPerjanjian', method:'POST'}
    <div class="bs-callout bs-callout-info"><strong>Informasi Paket</strong></div>
    <table class="table table-sm">
        <tr>
            <td width="250px">Kode Tender</td>
            <td>${lelang?.lls_id}</td>
        </tr>

        <tr>
            <td>Nama Tender</td>
            <td>${lelang?.paket?.pkt_nama}</td>
        </tr>
        <tr>
            <td class="name">Lingkup Pekerjaan <span class="error">*</span></td>
           <div id="testDiv">
               <td class="#{validate 'kontrak.kontrak_lingkup_pekerjaan'/}">
                   <textarea id="ruangLingkupPekerjaan" name="kontrak.kontrak_lingkup_pekerjaan" required class="form-control trumbowyg" rows="12" >${flash.contains('kontrak.kontrak_lingkup_pekerjaan')?flash['kontrak.kontrak_lingkup_pekerjaan']:kontrakx?.kontrak_lingkup_pekerjaan}</textarea>
                   <div class="invalid-feedback">#{error 'kontrak.kontrak_lingkup_pekerjaan' /}</div>
               </td>
           </div>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>Form Surat Perjanjian</strong></div>
    <table class="table table-sm">
        #{if kontrakx?.kontrak_id!=null}
            <input type="hidden" name="kontrak.kontrak_id"
                   value="${flash.contains('kontrak.kontrak_id')?flash['kontrak.kontrak_id']:kontrakx?.kontrak_id}"
                   class="form-control"/>
        #{/if}
        <tr>
            <td width="250px">No. Surat Perjanjian <span class="error">*</span></td>
            <td>
                <input type="text" id="noKontrak" name="kontrak.kontrak_no"
                       value="${flash.contains('kontrak.kontrak_no')?flash['kontrak.kontrak_no']:kontrakx?.kontrak_no}"
                       class="form-control #{validate 'kontrak.kontrak_no'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_no' /}</div>
            </td>
        </tr>
        <tr>
            <td class="name">Tanggal Surat Perjanjian <span class="error">*</span></td>
            <td>
                <div class=" input-group date width-normal _datepicker">
                    <input name="kontrak.kontrak_tanggal"
                           value="${flash.contains('kontrak.kontrak_tanggal')?flash['kontrak.kontrak_tanggal']:kontrakx?.kontrak_tanggal?.toDatepicker()}"
                           type="text" class="form-control datepicker #{validate 'kontrak.kontrak_tanggal'/}" />
                    <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <div class="invalid-feedback">#{error 'kontrak.kontrak_tanggal' /}</div>
                </div>
            </td>
        </tr>

        <tr>
            <td width="250px">Kota Surat Perjanjian <span class="error">*</span></td>
            <td>
                <input type="text" id="noKontrak" name="kontrak.kontrak_kota"
                       value="${flash.contains('kontrak.kontrak_kota')?flash['kontrak.kontrak_kota']:kontrakx?.kontrak_kota}"
                       class="form-control #{validate 'kontrak.kontrak_kota'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_kota' /}</div>
            </td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>Pihak Pertama</strong></div>
    <table class="table table-sm">
        <tr>
            <td width="250px" class="name">Nama PPK</td>
            <td>
            ${sppbj.ppk?.getPegawai().peg_nama.toUpperCase()}
            </td>
        </tr>
        <tr>
            <td class="name">NIP PPK</td>
            <td>
            ${sppbj.ppk?.getPegawai().peg_nip}
                ${sppbj.ppk?.ppk_id}
            </td>
        </tr>
        #{if lelang.isKonstruksi() || lelang.isJkKonstruksi()}
            <tr>
                <td class="name">No. SK Pemenang</td>
                <td>
                    <input type="text" name="kontrak.no_skpemenang"
                           value="${flash.contains('kontrak.no_skpemenang')?flash['kontrak.no_skpemenang']:kontrakx?.no_skpemenang}"
                           class="form-control  #{validate 'kontrak.no_skpemenang'/}"/>
                    <div class="invalid-feedback">#{error 'kontrak.no_skpemenang' /}</div>
                </td>
            </tr>
            <tr>
                <td class="name">Tgl. SK Pemenang</td>
                <td>
                    <div class="input-group date width-normal datepicker">
                        <input name="kontrak.tgl_skpemenang" type="text"
                               value="${flash.contains('kontrak.tgl_skpemenang')?flash['kontrak.tgl_skpemenang']:kontrakx?.tgl_skpemenang?.toDatepicker()}"
                               class="form-control datepicker #{validate 'kontrak.tgl_skpemenang'/} "/>
                        <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                        <div class="invalid-feedback">#{error 'kontrak.tgl_skpemenang' /}</div>
                    </div>
                </td>
            </tr>

            <tr>
                <td class="name">Kode Akun Kegiatan</td>
                <td>
                    <input type="text" name="kontrak.kode_akun_kegiatan"
                           value="${flash.contains('kontrak.kode_akun_kegiatan')?flash['kontrak.kode_akun_kegiatan']:kontrakx?.kode_akun_kegiatan}"
                           class="form-control  #{validate 'kontrak.kode_akun_kegiatan'/}"/>
                    <div class="invalid-feedback">#{error 'kontrak.kode_akun_kegiatan' /}</div>
                </td>
            </tr>
            <tr>
                <td class="name">Durasi Penyerahan Pertama(Hari)</td>
                <td>
                    <input type="number" name="kontrak.lama_durasi_penyerahan1"
                           value="${flash.contains('kontrak.lama_durasi_penyerahan1')?flash['kontrak.lama_durasi_penyerahan1']:kontrakx?.lama_durasi_penyerahan1}"
                           class="form-control  #{validate 'kontrak.lama_durasi_penyerahan1'/}"/>
                    <div class="invalid-feedback">#{error 'kontrak.lama_durasi_penyerahan1' /}</div>
                </td>
            </tr>
            <tr>
                <td class="name">Durasi Pemeliharaan(Hari)</td>
                <td>
                    <input type="number" name="kontrak.lama_durasi_pemeliharaan"
                           value="${flash.contains('kontrak.lama_durasi_pemeliharaan')?flash['kontrak.lama_durasi_pemeliharaan']:kontrakx?.lama_durasi_pemeliharaan}"
                           class="form-control  #{validate 'kontrak.lama_durasi_pemeliharaan'/}"/>
                    <div class="invalid-feedback">#{error 'kontrak.lama_durasi_pemeliharaan' /}</div>
                </td>
            </tr>
        #{/if} #{else}

        #{/else}

        <tr>
            <td class="name">Jabatan PPK <span class="error">*</span></td>
            <td>
                <input type="text" name="kontrak.jabatan_ppk_kontrak"
                       #{if null == kontrakx ||  kontrakx?.jabatan_ppk_kontrak==""}
                            value="${flash.contains('kontrak.jabatan_ppk_kontrak')?flash['kontrak.jabatan_ppk_kontrak']:sppbj?.jabatan_ppk_sppbj}"
                       #{/if} #{else}
                            value="${flash.contains('kontrak.jabatan_ppk_kontrak')?flash['kontrak.jabatan_ppk_kontrak']:kontrakx?.jabatan_ppk_kontrak}"
                       #{/else}
                       class="form-control  #{validate 'kontrak.jabatan_ppk_kontrak'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.jabatan_ppk_kontrak' /}</div>
            </td>
        </tr>
        <tr>
            <td class="name">No. SK PPK</td>
            <td>${ppk?.getPegawai().peg_no_sk}</td>
        </tr>
        <tr>
            <td class="name">Nama Satuan Kerja</td>
            <td>
                ${lelang?.paket?.getNamaSatker()}
                ${satker?.stk_nama}
            </td>
        </tr>
        <tr>
            <td class="name">Alamat Satuan Kerja</td>
            <td>${sppbj?.alamat_satker}</td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>Pihak Kedua</strong></div>
    <table class="table table-sm">
        <tr>
            <td width="250px" class="name">Tipe Penyedia</td>
            <td>
                <select name="kontrak.kontrak_tipe_penyedia"
                        value="${flash.contains('kontrak.kontrak_tipe_penyedia')?flash['kontrak.kontrak_tipe_penyedia']:kontrakx?.kontrak_tipe_penyedia}"
                        style="width:260px;" id="penyedia" class="form-control penyedia">
                    <option value="Penyedia Perseorangan">Penyedia Perorangan</option>
                    <option value="Penyedia Badan Usaha Non KSO"
                            #{if (flash.contains('kontrak.kontrak_tipe_penyedia')?flash['kontrak.kontrak_tipe_penyedia']:kontrakx?.kontrak_tipe_penyedia)=="Penyedia Badan Usaha Non KSO"}selected #{/if}>Penyedia Badan Usaha Non KSO</option>
                    <option value="Penyedia Kemitraan/KSO"
                            #{if (flash.contains('kontrak.kontrak_tipe_penyedia')?flash['kontrak.kontrak_tipe_penyedia']:kontrakx?.kontrak_tipe_penyedia)=="Penyedia Kemitraan/KSO"}selected #{/if} >Penyedia Kemitraan/KSO </option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="name">Nama Penyedia</td>
            <td><strong>${sppbj?.rekanan?.rkn_nama.toUpperCase()}</strong></td>
        </tr>
        <tr>
            <td class="name">Alamat Penyedia</td>
            <td><strong>${sppbj?.rekanan?.rkn_alamat}</strong></td>
        </tr>
        <tr class="nonkso">
            <td class="name">No. Akta Pendirian</td>
            <td><strong>${akta?.lhk_no}</strong></td>
        </tr>
        <tr class="nonkso">
            <td class="name">Tanggal Akta Pendirian</td>
            <td><strong>${akta?.lhk_tanggal?.formatDateInd()}</strong></td>
        </tr>
        <tr class="nonkso">
            <td class="name">Wakil Sah Penyedia <span class="error">*</span></td>
            <td>
                <input type="text" name="kontrak.kontrak_wakil_penyedia"
                       value="${flash.contains('kontrak.kontrak_wakil_penyedia')?flash['kontrak.kontrak_wakil_penyedia']:kontrakx?.kontrak_wakil_penyedia}"
                       class="form-control  #{validate 'kontrak.kontrak_wakil_penyedia'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_wakil_penyedia' /}</div>
            </td>
        </tr>
        <tr class="nonkso">
            <td class="name">Jabatan Wakil Penyedia <span class="error">*</span></td>
            <td>
                <input type="text" name="kontrak.kontrak_jabatan_wakil"
                       value="${flash.contains('kontrak.kontrak_jabatan_wakil')?flash['kontrak.kontrak_jabatan_wakil']:kontrakx?.kontrak_jabatan_wakil}"
                       class="form-control  #{validate 'kontrak.kontrak_jabatan_wakil'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_jabatan_wakil' /}</div>
            </td>
        </tr>
        <tr class="kso">
            <td class="name">No. Surat KSO</td>
            <td>
                <input type="text" id="noSuratKso" name="kso.no_kso"
                       value="${flash.contains('kso.no_kso')?flash['kso.no_kso']:kso?.no_kso}"
                       class="form-control " />
            </td>
        </tr>
        <tr class="kso">
            <td class="name">Tanggal Surat KSO</td>
            <td>
                <div class=" input-group date width-normal datepicker">
                    <input name="tgl_kso" type="text"
                           value="${flash.contains('kso.tgl_surat_kso')?flash['kso.tgl_surat_kso']:kso?.tgl_surat_kso?.toDatepicker()}"
                           class="form-control datepicker"/>
                    <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                </div>
            </td>
        </tr>
        <tr class="kso">
            <td class="name">Anggota KSO</td>
            <td>
                <input type="text" id="anggotaKso" name="kso.anggota_kso"
                        #{if kso?.anggota_kso!=null}
                            value="${flash.contains('kso.anggota_kso')?flash['kso.anggota_kso']:kso?.anggota_kso}"
                        #{/if}
                        #{else}
                            value="${flash.contains('sppbj.rekanan.rkn_nama')?flash['sppbj.rekanan.rkn_nama']:sppbj?.rekanan?.rkn_nama}"
                        #{/else}
                       class="form-control "/>
            </td>
        </tr>
        <tr class="kso">
            <td>Anggota KSO</td>
            <td >
                <table class="table table-sm" id="tblTemb">
                    <tbody>
                        #{list items:anggotakso, as:'akso'}
                            #{set i : akso_index - 1 /}
                        <tr>
                            <td>
                                <input type="text" name="kontrak.anggotakso[${i}].nama_anggota" id="nama[${i}]" value="${akso.nama_anggota}" class="form-control #{validate 'kontrak.anggotakso['+i+'].nama_anggota'/}" required>
                                <div class="invalid-feedback">#{error 'kontrak.anggotakso['+i+'].nama_anggota' /}</div>
                            </td>
                            <td><a href="#" class="removeBtn" title="hapus data">&nbsp;<i class="fa fa-trash-o fa-lg" title="Hapus File" style="margin-top:10px;"></i></a></td>
                        </tr>
                        #{/list}
                    </tbody>
                </table>
                <button type="button" class="btn btn-secondary " id="tambahTemb"><i class="fa fa-plus-circle"></i>
                    Tambah Anggota
                </button>
            </td>
        </tr>
        <tr class="kso">
            <td class="name">Perwakilan KSO</td>
            <td>
                <input type="text" id="wakilKso" name="kso.wakil_kso"
                       value="${flash.contains('kso.wakil_kso')?flash['kso.wakil_kso']:kso?.wakil_kso}"
                       class="form-control  #{validate 'objPaketEContract.wakilKso'/}"/>
            </td>
        </tr>
        <tr class="kso">
            <td class="name">Jabatan Wakil KSO</td>
            <td>
                <input type="text" id="wakilKso" name="kso.jabatan_wakil_kso"
                       value="${flash.contains('kso.jabatan_wakil_kso')?flash['kso.jabatan_wakil_kso']:kso?.jabatan_wakil_kso}"
                       class="form-control  #{validate 'objPaketEContract.jabatan_wakil_kso'/}"/>
            </td>
        </tr>
        <tr class="kso">
            <td class="name">Alamat Perwakilan KSO</td>
            <td>
                <input type="text" id="alamatKso" name="kso.alamat_kso"
                       value="${flash.contains('kso.alamat_kso')?flash['kso.alamat_kso']:kso?.alamat_kso}"
                       class="form-control  #{validate 'objPaketEContract.alamatKso'/}" />
            </td>
        </tr>
        <tr>
            <td class="name">Nama Bank <span class="error">*</span></td>
            <td>
                <input type="text" name="kontrak.kontrak_namarekening"
                       value="${flash.contains('kontrak.kontrak_namarekening')?flash['kontrak.kontrak_namarekening']:kontrakx?.kontrak_namarekening}"
                       class="form-control  #{validate 'kontrak.kontrak_namarekening'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_namarekening' /}</div>
            </td>
        </tr>
        <tr>
            <td class="name">No. Rekening Bank <span class="error">*</span></td>
            <td>
                <input type="text" name="kontrak.kontrak_norekening"
                       value="${flash.contains('kontrak.kontrak_norekening')?flash['kontrak.kontrak_norekening']:kontrakx?.kontrak_norekening}"
                       class="form-control  #{validate 'kontrak.kontrak_norekening'/}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_norekening' /}</div>
            </td>
        </tr>
        <tr>
            <td class="name">Nama Pemilik Rekening <span class="error">*</span></td>
            <td>
                <input type="text" class="form-control  #{validate 'kontrak.kontrak_namapemilikrekening'/}" name="kontrak.kontrak_namapemilikrekening"
                       value="${flash.contains('kontrak.kontrak_namapemilikrekening')?flash['kontrak.kontrak_namapemilikrekening']:kontrakx?.kontrak_namapemilikrekening}"/>
                <div class="invalid-feedback">#{error 'kontrak.kontrak_namapemilikrekening' /}</div>
            </td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>Informasi Pendukung</strong></div>
    <table class="table table-sm">
        <tr>
            <td width="250px" class="name">Nilai Kontrak (Rp) <span class="error">*</span></td>
            <td>
                <div id="nilaiKontrakEdit">
                    #{if kontrakx?.kontrak_nilai == null}
                        <input type="hidden" id="nilaiKontrak" name="kontrak.kontrak_nilai"
                               value="${flash.contains('sppbj.harga_final')?flash['sppbj.harga_final']:sppbj?.harga_final?.formatDouble()}"
                               class="form-control  money"/>
                        <input type="text" id="nilaiKontrak_f"
                               value="${flash.contains('sppbj.harga_final')?flash['sppbj.harga_final']:sppbj?.harga_final?.formatDouble()}"
                               class="form-control  money #{validate 'kontrak.kontrak_nilai'/}" disabled/>
                    #{/if}
                    #{else}
                        <input type="hidden" id="nilaiKontrak" name="kontrak.kontrak_nilai"
                               value="${flash.contains('kontrak.kontrak_nilai')?flash['kontrak.kontrak_nilai']:kontrakx?.kontrak_nilai?.formatDouble()}"
                               class="form-control  money"/>
                        <input type="text" id="nilaiKontrak_f"
                               value="${flash.contains('kontrak.kontrak_nilai')?flash['kontrak.kontrak_nilai']:kontrakx?.kontrak_nilai?.formatDouble()}"
                               class="form-control  money #{validate 'kontrak.kontrak_nilai'/}" disabled/>
                    #{/else}
                    <div class="invalid-feedback">#{error 'kontrak.kontrak_nilai' /}</div><br />
                </div>
                <p><a href="javascript:void(0)" id="ubahnilaiKontrak" class="badge  badge-secondary">klik di sini</a>&nbsp;untuk memilih mengubah Harga Kontrak</p>
                <input type="hidden" value="false" id="ubahnilai" name="ubahnilai" />
            </td>
        </tr>
        <tr id="alasanUbahnilaikontrak" ${flash.contains('kontrak.alasanubah_kontrak_nilai')?'':'hidden'}>
            <td class="name">Alasan Perubahan Nilai Kontrak <span class="error">*</span></td>
            <td>
                <textarea id="alasanubah_kontrak_nilai" name="kontrak.alasanubah_kontrak_nilai" rows="5" cols="100" class="form-control #{validate 'kontrak.alasanubah_kontrak_nilai'/}" readonly>${flash.contains('kontrak.alasanubah_kontrak_nilai')?flash['kontrak.alasanubah_kontrak_nilai']:kontrakx?.alasanubah_kontrak_nilai}</textarea>
                <div class="invalid-feedback">#{error 'kontrak.alasanubah_kontrak_nilai' /}</div><br />
            </td>
        </tr>
        <tr>
            <td>Jenis Kontrak</td>
            <td>
            ${lelang?.getKontrakPembayaran()?.label}
            </td>
        </tr>
        <tr>
            <td>Informasi Lainnya</td>
            <td>
                <textarea id="keterangan" name="kontrak.kontrak_lingkup" rows="5" cols="100" validate="required" class="form-control">${flash.contains('kontrak.kontrak_lingkup')?flash['kontrak.kontrak_lingkup']:kontrakx?.kontrak_lingkup}</textarea>
            </td>
        </tr>
    </table>

        #{if sppbj!=null && kontrakx!=null}
     <div class="bs-callout bs-callout-info"><strong>Dokumen Surat Perjanjian</strong></div>
        <table class="table table-sm">
            <tr>
                <td width="250px">Dokumen Cetak</td>
                <td>
                    <div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
                        <i class="fa fa-plus-circle"></i>
                        <span>Upload</span>
                        <input id="fileupload" type="file" name="file" />
                    </div>
                    <div id="progress" class="progress" style="display: none;">
                        <div class="progress-bar progress-bar-success"></div>
                    </div>
                    <div id="alert-upload"></div>
                    <input type="hidden" id="id_attacment2" name="kontrak.kontrak_id_attacment2" value="${kontrakx?.kontrak_id_attacment2}" />
                    <table class="table table-sm table-striped"" id="files">
                        <thead>
                            <th width="50%">Nama File</th>
                            <th width="40%">Tanggal Upload</th>
                            <th width="10%">Aksi</th>
                        </thead>
                        <tbody>
                            #{list items:kontrakx?.dokAttachment2, as:'dok'}
                            <tr>
                                <td>#{download dok/}</td>
                                <td>${dok?.blb_date_time?.formatDateTime()}</td>
                                <td><a href="javascript:void(0)" title="Hapus" class="removeDok" versi="${dok.blb_versi}">
                                    <i class="fa fa-trash-o fa-lg" title="Hapus File"></i></a>
                                </td>
                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                </td>
                <div class="bs-callout bs-callout-warning">
                    Dokumen yang dapat di upload hanya file/dokumen yang memiliki ekstensi <strong><i> ${allowedExt}</i></strong>.
                </div>
                </td>
            </tr>
        #{/if}

        #{if sppbj!=null}
            <tr>
                <td colspan="2">
                    <button type="submit" name="simpan" class="btn btn-success confirm" title="Apakah Anda yakin akan menyimpan data Surat Perjanjian ini?"><i class="fa fa-save"></i> Simpan
                    </button>
                    #{if kontrakx!=null}
                        <a href="@{kontrak.SuratPerjanjianCtr.cetakPerjanjian(kontrakx.kontrak_id)}" class="btn btn-primary" target="_blank"><i
                                class="fa fa-print"></i> Cetak</a>
                    #{/if}
                    <a href="@{kontrak.SppbjCtr.sppbjPpk(lelang.lls_id)}" type="submit" name="simpan"
                       class="btn btn-secondary"> Kembali</a>
                </td>
            </tr>
        #{/if}
    </table>
#{/form}

    <div class="bs-callout bs-callout-warning">
        <span class="warning"> *</span> Wajib Diisi
    </div>

</div>
#{set 'css_custom' }
<link href="https://unpkg.com/trumbowyg@2.21.0/dist/ui/trumbowyg.min.css" rel="stylesheet" type="text/css">
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/trumbowyg.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/plugins/cleanpaste/trumbowyg.cleanpaste.min.js"></script>
<script type="text/javascript" src="#{assets '/js/trumbowyg.config.js'/}"></script>
<script type="text/javascript">
    //karena di format util tidak ada fungsi format tanpa Rp dengan delimiter x.xxx.xxx,xx, sementara pake fungsi ini
    var kontrakNilaiOriginal = 0;
    var kontrakNilaiUbahAlasanOriginal = "";

    $(document).ready(function () {
        $("[name='kontrak.kontrak_nilai']").val($("[name='kontrak.kontrak_nilai']").val().replace("Rp ", ""));
        $("#nilaiKontrak_f").val($("#nilaiKontrak_f").val().replace("Rp ", ""));
        new AutoNumeric.multiple('.money', {digitGroupSeparator: '.', decimalCharacter: ','});
        kontrakNilaiOriginal = $("#nilaiKontrak_f").val();
        kontrakNilaiUbahAlasanOriginal = $("#alasanubah_kontrak_nilai").val();
        var tgl = '${todayDate}';
        $(".form-control.tgl").focus(function (ev) {
            var vval = $(this).val();
            if(vval == ""){
                $(this).val(tgl);
                $(this).keyup();
            }
        });

        $(".form-control.tgl").focusout(function (ev) {
            var vval = $(this).val();
            if(vval == ""){
                $(this).val(tgl);
                $(this).keyup();
            }
        });

        $('.fa.fa-calendar').click(function () {
            var top = $(this).parent().parent();
            top.find("input").val(tgl).keyup();
        });

        // var $div = $('.fa.fa-calendar').click(function () { console.log('plugin'); return false; }), clickListener = jQuery._data($div[0], 'events').click[0];
        //
        // $div.off('click');
        // $div.click(function () { console.log('yours'); });
        // $div.click(clickListener.handler);

        var alasan = "${flash.contains('kontrak.alasanubah_kontrak_nilai')?flash['kontrak.alasanubah_kontrak_nilai']:kontrakx?.alasanubah_kontrak_nilai}";
        if(alasan.trim().length > 1){
            $("#alasanUbahnilaikontrak").removeAttr("hidden");
            $("#alasanubah_kontrak_nilai").attr("readonly");
            $("#ubahnilai").val(true);
        }
    });

    $("[name='kontrak.kontrak_norekening']")
            .keypress(function (e) {
                if (e.which > 31 && (e.which < 48 || e.which > 57)) {
                    return false;
                }
            });

    function formatCurrency(num) {
        num = num.toString().replace(/\$|\,/g, '');
        if (isNaN(num)) {
            num = "0";
        }

        sign = (num == (num = Math.abs(num)));
        num = Math.floor(num * 100 + 0.50000000001);
        cents = num % 100;
        num = Math.floor(num / 100).toString();

        if (cents < 100) {
            cents = "0" + cents;
        }

        for (var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++) {
            num = num.substring(0, num.length - (4 * i + 3)) + '.' + num.substring(num.length - (4 * i + 3));
        }

        return (((sign) ? '' : '-') + num + ',' + cents);
    }

        #{if kontrakx == null}
        $(".nonkso").removeAttr("hidden");
        $(".kso").attr("hidden","hidden");
        $("#penyedia").val("Penyedia Badan Usaha Non KSO");
        #{/if}
        #{else}
            var tipePenyedia = "${flash.contains('kontrak.kontrak_tipe_penyedia')?flash['kontrak.kontrak_tipe_penyedia']:kontrakx?.kontrak_tipe_penyedia}";
            if(tipePenyedia =='Penyedia Badan Usaha Non KSO'){
                $(".nonkso").removeAttr("hidden");
                $(".kso").attr("hidden","hidden");
            }else{
                $(".kso").removeAttr("hidden");
                $(".nonkso").attr("hidden","hidden");
            }
*{            #{if kontrakx?.kontrak_tipe_penyedia=='Penyedia Badan Usaha Non KSO'} $(".nonkso").show(); #{/if}}*
*{            #{else} $(".nonkso").hide(); #{/else}}*
*{            #{if kontrakx?.kontrak_tipe_penyedia=='Penyedia Kemitraan/KSO'} $(".kso").show(); #{/if}}*
*{            #{else} $(".kso").hide(); #{/else}}*
        #{/else}

    $("#penyedia").on("change", function () {

        var tipe = $(this).val();
        if (tipe == 'Penyedia Kemitraan/KSO') {
            $(".kso").removeAttr("hidden");
            $(".nonkso").attr("hidden","hidden");
        }
        else if (tipe == 'Penyedia Badan Usaha Non KSO') {
            $(".nonkso").removeAttr("hidden");
            $(".kso").attr("hidden","hidden");
        }
        else {
            $(".kso").attr("hidden","hidden");
            $(".nonkso").attr("hidden","hidden");
        }
    });

    $(document).on('click', '#fileupload', function(){
        var url = '@{kontrak.SuratPerjanjianCtr.uploadAttachment2(kontrakx?.kontrak_id)}';
        $('#fileupload').fileupload({
            url: url,
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|jpeg|png|zip|rar)$/i,
            done: function (e, data) {
                $('#progress').hide();
                if (data.result.success) {
                    $.each(data.result.files, function (index, file) {
                        var upload_date = file.upload_date;
                        var content = '<td><a href="'+ file.download_url+'"><span class="fa fa-download"></span> '+file.name+ ' - '+file.size+'</a>' + '<td>' + upload_date + '</td><td>' +
                                '<a href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="hapus data" class="removeDok" versi="' + file.versi + '">' +
                                '<i class="fa fa-trash-o fa-lg" title="Hapus File"></i></a></td>';
                        $('#id_attacment2').val(file.id);
                        $('<tr/>').html(content).appendTo('#files');
                    });
                    $('#alert-upload').attr('class', 'alert alert-success').html('File berhasil diupload').show();
                } else {
                    $('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
                }
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name+' - '+file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg).show()
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    });

    $(document).on('click', '.removeDok', function(){
        var versi = $(this).attr('versi')
        var parent = $(this).parent()
        var source  = #{jsRoute @kontrak.SuratPerjanjianCtr.hapusAttachment2(kontrakx?.kontrak_id) /};
        BootstrapDialog.confirm({
            title: 'Konfirmasi',
            message: 'Apakah Anda yakin akan menghapus file ini?',
            draggable : true,
            closable : true,
            callback : function(result){
                if(result) {
                    $.ajax({
                        type: 'POST',
                        url: source.url(),
                        data : {'versi': versi},
                        success : function(){
                            $('#alert-upload').attr('class', 'alert alert-success').html('File telah terhapus').show();
                            parent.parent().remove()
                        },
                        error : function(){
                            $('#alert-upload').attr('class', 'alert alert-danger').html('File tidak bisa dihapus').show();
                        }
                    })
                }
            }
        });

    });

    $(document).on('click', '#ubahnilaiKontrak', function(){
        $("#alasanUbahnilaikontrak").removeAttr("hidden");
        if($("#nilaiKontrak_f").attr("disabled")){
            $("#nilaiKontrak_f").removeAttr("disabled");
            $("#ubahnilai").val(true);
            $("#alasanubah_kontrak_nilai").removeAttr("readonly");
        }else{
            $("#nilaiKontrak_f").attr("disabled", true);
            $("#ubahnilai").val(false);
            if(kontrakNilaiOriginal == $("#nilaiKontrak_f").val()){
                $("#alasanubah_kontrak_nilai").val(kontrakNilaiUbahAlasanOriginal);
                $("#nilaiKontrak_f").val(kontrakNilaiOriginal);
                $("#nilaiKontrak").val(kontrakNilaiOriginal);
            }
            if($("#alasanubah_kontrak_nilai").val().trim().length <= 0){
                $("#alasanUbahnilaikontrak").attr("hidden","hidden");
            }else{
                $("#alasanubah_kontrak_nilai").attr("readonly","readonly");
            }
        }
    });
    $(document).on('change', '#nilaiKontrak_f', function(){
        var nilai = $("#nilaiKontrak_f").val();
        $("#nilaiKontrak").val(nilai);
    });

    $(document).on('click', '[name="simpan"]', function(){
        var lingkup = $('#ruangLingkupPekerjaan').trumbowyg('html');
        if(lingkup=='<br>'){
            lingkup='';
        }
        $('#ruangLingkupPekerjaan').val(lingkup);
    });

    $("#tambahTemb").click(function () {
        var ind = $('#tblTemb tr').length - 1
        var addTemb ='<tr><td><input type="text" class="form-control" name="kontrak.anggotakso[' + ind + '].nama_anggota" required ></td>' +
                '<td><a href="javascript:void(0)" class="removeBtn">&nbsp;<i class="fa fa-trash-o fa-lg" title="Hapus File" style="margin-top:10px;"></i></a></td></tr>'
        $("#tblTemb").append(addTemb)
    });

    $(document).on('click', '.removeBtn', function () {
        var dt = $(this);
        BootstrapDialog.confirm({
            title: 'Konfirmasi',
            message: 'Apakah Anda yakin akan menghapus data ini?',
            draggable : true,
            closable : true,
            callback : function(result){
                dt.parent().parent().remove();
            }
        });

    });
</script>
#{/set}
